Bug 743788 - Title is missing while configuring browser first time
Summary: Title is missing while configuring browser first time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-06 02:36 UTC by Dmitri Pal
Modified: 2011-12-06 18:42 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Web UI title in the top area is missing on several pages. For example when browser is configured for the first time or Migration pages. Consequence: This may result in inconsistent user experience. Fix: Web UI title has been added to all missing pages. Result: Web UI title is present on all relevant pages
Clone Of:
Environment:
Last Closed: 2011-12-06 18:42:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Dmitri Pal 2011-10-06 02:36:29 UTC
Description of problem:

Title is missing while configuring browser for the first time.

Version-Release number of selected component (if applicable):
IPA 2.1.1

How reproducible:
Seems always (but tried only once)

Steps to Reproduce:
1. Install IPA
2. kinit admin
3. firefox
4. Navigate to IPA UI
5. Accept certificate exception
6. IPA UI colors and icon show up. The screen says to trust the CA.
7. Go through dialog to trust
8. The screen then says to configure browser

  
Actual results:
There is no title on this screen. I noticed it only on step 8 and later so I am not sure if title is also missing earlier at step 6 or not.

Expected results:
Title "Identity Management" is always present.

Additional info:
After configuring browser full normal UI shows up and the title is there.

It would be also worth checking if the migration page has the title since it is outside the normal URL tree.

Comment 1 Dmitri Pal 2011-10-06 02:38:33 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1932

Comment 4 Martin Kosek 2011-10-31 21:06:28 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Web UI title in the top area is missing on several pages. For example when browser is configured for the first time or Migration pages.
Consequence: This may result in inconsistent user experience.
Fix: Web UI title has been added to all missing pages.
Result: Web UI title is present on all relevant pages

Comment 6 errata-xmlrpc 2011-12-06 18:42:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.